### Function

# GioUnix DesktopAppInfo get_filename

since: 2.24

#### Declaration

    const char*
    g_desktop_app_info_get_filename (
      GDesktopAppInfo* info
    )

#### Description

When `info` was created from a known filename, return it. In some situations such as the `GDesktopAppInfo` returned from g_desktop_app_info_new_from_keyfile(), this function will return `NULL`.

Available since: 2.24

#### Parameters

`info`

  Type: `GDesktopAppInfo`

  A `GDesktopAppInfo`.

  The data is owned by the caller of the function.

#### Return value

Type: `const char*`

The full path to the file for `info`, or `NULL` if not known.

The data is owned by the called function.
The return value can be `NULL`.
The value is a platform-native string, using the preferred OS encoding on Unix and UTF-8 on Windows.